> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Streamed List Objects

> List all accessible objects for a user as a streamed response.

Use this endpoint when a user may have access to more than 1000 objects and you are using a pre-filtering approach for your search index. For smaller result sets, the buffered [List Objects](/managed-sync/api/list-objects) endpoint is simpler to consume.

## Response format

The response is sent as `application/x-ndjson` with `Transfer-Encoding: chunked`. Each line of the response body is a JSON object containing a single `object` field, whose value is the UUID of a Synced Object the user has access to with the specified role:

```text theme={null}
{"object":"a657df3b-17e2-5989-bc5f-13ddb7fdab41"}
{"object":"b842ec1c-2f3a-4a91-9f8d-6cf2b73a1d04"}
{"object":"c91f0a2d-4e58-4b3b-8a1c-7d9e2b0c41ef"}
```

Parse the response one line at a time. Each line is independently valid JSON; the response body as a whole is not.


## OpenAPI

````yaml post /api/permissions/{syncId}/streamed-list-objects
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/permissions/{syncId}/streamed-list-objects:
    post:
      summary: Streamed List Objects
      description: List all accessible objects for a user as a streamed response.
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: >-
            UUID of the Sync to query, returned from the [Enable
            Sync](/managed-sync/api/enable-a-sync) endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListObjectsRequest'
      responses:
        '200':
          description: >-
            A newline-delimited JSON stream. Each line is a JSON object of the
            form `{ "object": "<uuid>" }`, where `object` is the UUID of a
            Synced Object the user has access to with the specified role.
          content:
            application/x-ndjson:
              schema:
                type: string
        '401':
          description: Unauthorized
components:
  schemas:
    ListObjectsRequest:
      type: object
      properties:
        objectType:
          type: string
          description: The type of object to list.
          enum:
            - file
            - folder
          example: file
        user:
          type: string
          description: The email of the user to list accessible objects for.
          example: email@example.com
        role:
          type: string
          description: The role to use for identifying accessible objects.
          enum:
            - can_read
            - can_write
            - is_owner
          example: can_read
      required:
        - user
        - objectType
        - role
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````